summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net:anevia.com/user:hhiegel/Functions.zsh3
-rw-r--r--zshrc2
2 files changed, 4 insertions, 1 deletions
diff --git a/net:anevia.com/user:hhiegel/Functions.zsh b/net:anevia.com/user:hhiegel/Functions.zsh
index 4431ad2..021fa56 100644
--- a/net:anevia.com/user:hhiegel/Functions.zsh
+++ b/net:anevia.com/user:hhiegel/Functions.zsh
@@ -1,5 +1,8 @@
__debian_dist() {
+
+ [ -e ~/.pbuilderrc ] || return
+
_dist=${DIST:-$(awk < ~/.pbuilderrc '/DIST:=/ { gsub(/^.*{DIST:=/, "") ; gsub(/}$/, "") ; print ; exit }')}
print -Pn $C_${_env_colors[dist_$_dist]:-$_env_colors[dist_none]}
( export | grep -q '^DIST=' ) && print -Pn ";"$color[bold]
diff --git a/zshrc b/zshrc
index 372bdec..8c1a7f6 100644
--- a/zshrc
+++ b/zshrc
@@ -59,10 +59,10 @@ if [ -d $ZDOTDIR ]; then
local root=${2:-$ZDOTDIR}
for f in \
+ user:$USER \
net:$DOMAIN \
host:$HOST \
sys:$OSNAME \
- user:$USER \
user:$SUDO_USER
do
if test -d $root/$f